function result = decaySineCurve(x, y, rmax, width, height)
%return a sampled sine curve in a matrix of specified dimensions,
%where each element represents the distance to actual since curve

%sampling grid
xx = -pi:(2*pi/width):pi;
yy = -rmax:(2*rmax/height):rmax;
[XX, YY] = ndgrid(xx, yy);

%fill matrix
result = I(XX, YY, x, y)';
%normalize
result = result ./ max(max(result));
%threshold
result = (result > (max(max(result)))/2) .* result;