function testCameraProjection
%plot projected cubes on an image with premade calibration points
i = im2double(imread('calibrationpoints.jpg'));
load calibrationpoints;

M = estimateProjectionMatrix(xy, XYZ);

%one side of the cube
square = [ -0.5 -0.5 0.5; -0.5 0.5 0.5; 0.5 0.5 0.5; 0.5 -0.5 0.5]';
%rest of cube
cube = [-square, square, ...
        [square(2,:) ; square(3,:) ; square(1,:)], ...
        -[square(2,:) ; square(3,:) ; square(1,:)]];

imshow(i);
hold on;

%project some cubes on the chessboard
cube2 = [cube(1,:)+0.5; cube(2,:)+7.5; cube(3,:)+6; ones(1, size(cube, 2))];
projectCube(M, cube2);

cube2 = [cube(1,:)+5.5; cube(2,:); cube(3,:)+3; ones(1, size(cube, 2))];
projectCube(M, cube2);

cube2 = [cube(1,:); cube(2,:); cube(3,:); ones(1, size(cube, 2))];
projectCube(M, cube2);
